body {
  background-color: #343434;
  font-family: 'Bungee', cursive;
  color: white;
  width: 100%;
  height: 100%;
}
hr {
  /*border-color: rgb(145, 142, 142);*/
  height: 12px;
  border: 0;
  box-shadow: inset 0 12px 5px -12px rgba(255, 255, 255, 0.5);
}
.nav-fixed {
    position: fixed;
}
.site-header {
  margin:0;
  margin-top: 3px;
}
.section-header {
  color: #ffffff;
  background-color: rgb(45, 75, 111);
  display: inline-block;
  margin-top: 10px;
  transition: all 1s, transform 0.2s;
  z-index: 0;
  text-decoration: none;
  width: 100%;


}
.section-header:hover {
  background-color: rgb(71, 120, 179);
  color: white;
  transform: scale(1.01);
  text-decoration: none;
}

.nav-bar {
  background-color: rgb(45, 75, 111);
  color: white;
  width: 100%;
  margin:0;
  z-index: 1;
  height: 32px;
}

/*--Buttons--*/
.nav-button {
  color: white;
  background-color: rgb(45, 75, 111);
  font-size: 20px;
  margin-left: 5px;
  margin-right: 5px;
  padding: 0;
  transition: background-color 0.5s;
  display:inline-block;

}
.nav-button:hover {
  color: white;
  text-decoration: none;
}
.nav-button:after{
  display:block;
  content: '';
  border-bottom: solid 4px white;
  transform: scaleX(0);
  transition: all 250ms ease-in-out;
  opacity: 0;
}
.button-container {

}

a:hover:after { transform: scaleX(1); opacity: 1;}
.fromRight:after{ transform-origin:100% 50%; }
.fromLeft:after{  transform-origin:  0 50%; }
.selected:after{ transform: scaleX(1); opacity: 1;}

.menu-button {
  margin-right: 5px;
  float: right;
  background: none;
  border: none;
  z-index: 100;
}
.menu-button:focus{
  outline: none;
}
.footer-button {
  font-size: 25px;
  display: inline-block;
  padding-left: 4px;
  padding-right: 4px;
  color: white;
  transition: color 0.5s, transform 0.2s;
}
.footer-button:hover {
  transform: scale(1.2);
  text-decoration: none;
}
.reddit-button:hover {
  color: #FF5700;

}
.twitter-button:hover {
  color: #00aced;
}
.youtube-button:hover {
  color: #bb0000;
}

.img-responsive {
  margin: 0 auto;
}
.relative {
  position:relative;
}

.absolute-text {
  position:absolute;
  bottom:0; font-size:24px;
  padding: 10px 20px;
  width:100%;
  text-align:left;

  color: white;
}

.main-img {
  width: 100%;
  padding-top: 32px;
}
.inline {
  display: inline-block;
}

.rounded-corners {
  border-radius: 30px;
}

.circle-corners {
  border-radius: 300px;
}

.box-shadow {
  box-shadow: 0 0 10px rgb(193, 191, 191);
}

.blog-base {
  width: 100%;
  height: 100px;
  background-color: rgb(180, 180, 180);
  font-family: 'Bungee Hairline', cursive;
  /*font-family: 'Lato', sans-serif;
  font-weight: 400;*/

  font-size: 20px;
  box-shadow: 0 0 5px rgb(0, 0, 0);
  margin-top: 1%;

  transition: background-color 1.5s, box-shadow 1.5s, transform 0.5s;
}
.blog-base:hover {
  background-color: rgb(231, 231, 231);
  transform: scale(1.02);
  box-shadow: 0 0 5px rgb(120, 120, 120);
}
.blog-title {
  width: calc( 100% - 200px - 1%);
  height: calc( 100% - 21px);
  margin: 0;
  margin-left: 1%;
  margin-top: 20px;
  color: #000000;
  text-overflow: ellipsis;
  overflow: hidden;
  word-wrap: break-word;
  display: block;
  float: right;
}

.blog-thumbnail{
  width: 200px;
  height: 100px;
}


.blog-link:hover {
  text-decoration: none;
}
.blog-text {
  font-family: 'Lato', sans-serif;
  color: #000000;
}

.sidebar {
  top: 0;
  right: -60%;
  position: fixed;
  height: 100%;
  width: 60%;
  background-color: rgb(45, 75, 111);
  z-index: 4;
  transition: right 0.75s;
}
.nav-list-button {
  width: 80%;
  text-align: left;
  color: white;
  padding-top: 10px;
  padding-bottom: 10px;
  margin-left: 10%;
  margin-right: auto;
  font-size: 20px;
  transition: background-color 0.5s;
  display:inline-block;
  border-bottom: 1px solid rgb(27, 45, 68);
}
.nav-list-button:hover {
  color: white;
  /*background-color: rgb(71, 120, 179);*/
  text-decoration: none;
}
.blackout {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1;
  pointer-events: none;
  height: 100%;
  width: 100%;
  background-color: black;
  opacity: 0;
  border:none;
  transition: all 0.75s;
}
.blackout:hover {
  cursor: default;
}

.dark {
  opacity: 0.5;
}
@media screen and (max-width: 600px) {
    .button-container {
      display: none;
    }
    .menu-icon {
      display:block;
    }
}
@media screen and (min-width: 601px) {
    .button-container {
      display: block;
    }
    .menu-button {
      display: none;
    }
}
